use moa_uapi::rlimit::{RlimitInfo, Rlimits};

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_RLIMIT_SET)]
fn sys_rlimit_set(spaceid: usize, limits: *const Rlimits) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_RLIMIT_QUERY)]
fn sys_rlimit_query(spaceid: usize, out: *mut RlimitInfo) -> isize {
    ERR_NOSYS
}
